//------------------------------------------------------------------------------
// <auto-generated>
//     Этот код создан по шаблону.
//
//     Изменения, вносимые в этот файл вручную, могут привести к непредвиденной работе приложения.
//     Изменения, вносимые в этот файл вручную, будут перезаписаны при повторном создании кода.
// </auto-generated>
//------------------------------------------------------------------------------

namespace HotelApp
{
    using System;
    using System.Collections.Generic;
    
    public partial class RoomTable
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public RoomTable()
        {
            this.SettlementTables = new HashSet<SettlementTable>();
            this.BookingTables = new HashSet<BookingTable>();
        }
    
        public int RoomId { get; set; }
        public string RoomNumber { get; set; }
        public int TypeAccommodationId { get; set; }
        public int TypeComfortId { get; set; }
        public decimal PriceperDay { get; set; }
    
        public virtual TypeAccommodationTable TypeAccommodationTable { get; set; }
        public virtual TypeComfortTable TypeComfortTable { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<SettlementTable> SettlementTables { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<BookingTable> BookingTables { get; set; }
    }
}
